Bug 1991879 - F35FailsToInstall: libreoffice-core
Summary: F35FailsToInstall: libreoffice-core
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On: 1920183
Blocks: BetaBlocker, F35BetaBlocker F35FailsToInstall 1982394
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:58 UTC by Miro Hrončok
Modified: 2021-08-12 19:00 UTC (History)
5 users (show)

Fixed In Version: libreoffice-7.1.5.2-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-12 19:00:47 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-10 10:58:45 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (libreoffice) Fails To Install in Fedora 35:

can't install libreoffice-core:
  - nothing provides libboost_locale.so.1.75.0()(64bit) needed by libreoffice-core-1:7.1.5.2-2.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:38:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Caolan McNamara 2021-08-10 13:53:57 UTC
yeah, catch is how to get it build in the face of bug #1920183

Comment 3 Adam Williamson 2021-08-10 21:37:23 UTC
Release blocker note: this failed today's Rawhide compose - https://pagure.io/releng/failed-composes/issue/2656 . That makes it an automatic blocker per "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers . Marking accepted.

Comment 4 Caolan McNamara 2021-08-11 08:06:58 UTC
Dropping use of git to manage applying the patches avoids the OOM/kill of git during %prep (https://pagure.io/releng/issue/10262) and falls back to using simple patch and adding
+%define _default_patch_flags -p1
to get the patches to apply resulted in an eventually successful armv7hl build in poppler-related sidetag f35-build-side-43960.

The root log https://kojipkgs.fedoraproject.org//work/tasks/2810/73632810/root.log has "boost-devel ... 1.76.0-4.fc35" so when merged I expect this "libboost_locale.so.1.75.0()(64bit)" to be resolved

Comment 5 Miro Hrončok 2021-08-12 18:59:00 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 6 Miro Hrončok 2021-08-12 19:00:47 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.